Subject: Re: NNCP road warrior

From: Sergey Matveev <[email-masked]>
Date: Sat, 8 Jan 2022 14:26:43 +0300

*** Jonathan Lane [2022-01-08 00:57]:
>For those cases where you need an overlay to contact your home or a
>well-located server, I enjoy Wireguard.

I also appreciate it much! In my opinion it just literally just the best
VPN protocol: it just does its job right, without any optional features.

Many years ago, when I tried to use WiFi, I found that no existing VPN
solutions was satisfactory for me. I can not trust WiFi encryption
implementation in all those access points, so I have to use some
encrypted tunnel over its connections. SSH is slow. OpenVPN is slow and
burdensome to configure. IPsec's intro is virtually larger than the
whole Wireguard's source code :-). Moreover none of them gave ability to
use strong password authentication. And so on, so on. So I wrote my own
simple VPN on Go: http://www.govpn.info/. Later I have added other
features still not found in other solution. Now the project is
abandoned, because I started to love IPsec and use it everywhere now,
except for remote VPN connection over IPv4 networks, that is Wireguard
now. But Wireguard is definitely a thing that should be done a long time ago!

>Wireguard is also much faster than Tor or even OpenVPN.

[boring mode on :-)]
It should not be comparable with Tor: they solve completely different
tasks. It will be faster anyway, because it is direct point to point
tunnel. OpenVPN will be slower at least because of its ancient slow
cryptographic algorithms.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF